# Uses of Interface
org.globus.gsi.proxy.ProxyPolicyHandler

Packages that use ProxyPolicyHandler
Package
Description
org.globus.gsi
This package conatins the basic security constructs used to build Globus security.
org.globus.gsi.jsse
org.globus.gsi.provider
org.globus.gsi.proxy

## Uses of ProxyPolicyHandler in org.globus.gsi

Methods in org.globus.gsi that return types with arguments of type ProxyPolicyHandler
Modifier and Type
Method
Description
`Map<String,ProxyPolicyHandler>`
X509ProxyCertPathParameters.`getPolicyHandlers()`
Constructor parameters in org.globus.gsi with type arguments of type ProxyPolicyHandler
Modifier
Constructor
Description
``
`X509ProxyCertPathParameters(KeyStore initTrustStore, CertStore initCRLStore, SigningPolicyStore initPolicyStore, boolean initRejectLimitedProxy, Map<String,ProxyPolicyHandler> initHandlers)`

## Uses of ProxyPolicyHandler in org.globus.gsi.jsse

Methods in org.globus.gsi.jsse that return types with arguments of type ProxyPolicyHandler
Modifier and Type
Method
Description
`Map<String,ProxyPolicyHandler>`
SSLConfigurator.`getHandlers()`
Method parameters in org.globus.gsi.jsse with type arguments of type ProxyPolicyHandler
Modifier and Type
Method
Description
`void`
SSLConfigurator.`setHandlers(Map<String,ProxyPolicyHandler> handlers)`

## Uses of ProxyPolicyHandler in org.globus.gsi.provider

Constructor parameters in org.globus.gsi.provider with type arguments of type ProxyPolicyHandler
Modifier
Constructor
Description
``
`GlobusTrustManagerFactoryParameters(KeyStore initTrustStore, CertStore initCRLStore, SigningPolicyStore initPolicyStore, boolean initRejectLimitedProxy, Map<String,ProxyPolicyHandler> handlers)`

## Uses of ProxyPolicyHandler in org.globus.gsi.proxy

Classes in org.globus.gsi.proxy that implement ProxyPolicyHandler
Modifier and Type
Class
Description
`class`
`IgnoreProxyPolicyHandler`
A simple restricted proxy policy handler that logs the proxy policy language oid.
Methods in org.globus.gsi.proxy that return ProxyPolicyHandler
Modifier and Type
Method
Description
`ProxyPolicyHandler`
ProxyPathValidator.`getProxyPolicyHandler(String id)`
Retrieves a restricted proxy policy handler for a given policy id.
`ProxyPolicyHandler`
ProxyPathValidator.`removeProxyPolicyHandler(String id)`
Removes a restricted proxy policy handler.
`ProxyPolicyHandler`
ProxyPathValidator.`setProxyPolicyHandler(String id, ProxyPolicyHandler handler)`
Sets a restricted proxy policy handler.
Methods in org.globus.gsi.proxy with parameters of type ProxyPolicyHandler
Modifier and Type
Method
Description
`ProxyPolicyHandler`
ProxyPathValidator.`setProxyPolicyHandler(String id, ProxyPolicyHandler handler)`
Sets a restricted proxy policy handler.